### Virtual Method

# Ide ConfigProvider save_async

#### Declaration

    void
    save_async (
      IdeConfigProvider* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function is called to request that the configuration provider persist any changed configurations back to disk.

This function will be called before unloading the configuration provider so that it has a chance to persist any outstanding changes.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.